%ifnarch %{arm} %{ix86}
%bcond_without check
%endif
%global debug_package %{nil}

%global goipath         github.com/golang/snappy
Version:                0.0.4

%gometa

%global goaltipaths     github.com/syndtr/gosnappy

%global common_description %{expand:
Implementation of the Snappy compression format for Go.}

%global golicenses      LICENSE
%global godocs          AUTHORS CONTRIBUTORS README

Name:           %{goname}
Release:    1%{?dist}
Summary:        Implementation of the Snappy compression format for Go

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README AUTHORS CONTRIBUTORS
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
